import nltk
import random
import os
import time
import uuid

outdir = '/tmp/text'

try:
    text = nltk.corpus.gutenberg.raw('carroll-alice.txt')
except LookupError:
    nltk.download('gutenberg')
    text = nltk.corpus.gutenberg.raw('carroll-alice.txt')

lines = [l.strip() for l in text.splitlines() if len(l.strip()) > 0]

os.makedirs(outdir, exist_ok=True)
print("Starting file stream...")
while True:
    subset = random.sample(lines, random.randint(5, 10))
    uu = str(uuid.uuid4())
    filename = os.path.join(outdir, uu+'.txt')
    with open(filename, 'w') as outfh:
        outfh.write('\n'.join(subset))
    time.sleep(random.random()*3)